KUBERNETES(1)

NAME

kubeadm init phase mark-control-plane - Mark a node as a control-plane

SYNOPSIS

kubeadm init phase mark-control-plane [OPTIONS]

DESCRIPTION

Mark a node as a control-plane

OPTIONS

--config=""
    Path to a kubeadm configuration file.

--node-name=""
    Specify the node name.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

EXAMPLE

      # Applies control-plane label and taint to the current node, functionally equivalent to what executed by kubeadm init.
      kubeadm init phase mark-control-plane --config config.yml

      # Applies control-plane label and taint to a specific node
      kubeadm init phase mark-control-plane --node-name myNode

SEE ALSO

kubeadm-init-phase(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!